function skill093()

	local p
	local mid=battle.GetActingPlayerID()
	for p=1,7,1 do
		if battle.CheckNpcPlace(p)==0 then
			local a=battle.GetRndNumber(1,100)
			local nid=battle.GetPlaceNpcID(p)
			if battle.CheckNpcStat(nid,83)==1 then
			npc.AddStat(0,nid,9000,1,1)
			npc.RemoveStat(nid,83)
			else
			if player.GetTitle(mid)==6089 then
				if a>=1 and a<=21 then
					npc.AddStat(0,nid,100,1,3)
				end
			else
				if a>=1 and a<=11 then
					npc.AddStat(0,nid,100,1,3)
				end
			end
            end

		end
	end


end